Bug 994735 - [abrt] xorg-x11-server-Xorg-1.14.2-9.fc20: __assert_fail_base: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
[abrt] xorg-x11-server-Xorg-1.14.2-9.fc20: __assert_fail_base: Process /usr/b...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-qxl (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alon Levy
Fedora Extras Quality Assurance
abrt_hash:4a3c297d6a041d1d3f6a0467017...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 18:01 EDT by Neil
Modified: 2015-12-02 11:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:55:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.73 KB, text/plain)
2013-08-07 18:01 EDT, Neil
no flags Details
File: cgroup (141 bytes, text/plain)
2013-08-07 18:01 EDT, Neil
no flags Details
File: core_backtrace (8.86 KB, text/plain)
2013-08-07 18:01 EDT, Neil
no flags Details
File: dso_list (5.04 KB, text/plain)
2013-08-07 18:02 EDT, Neil
no flags Details
File: environ (136 bytes, text/plain)
2013-08-07 18:02 EDT, Neil
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-07 18:02 EDT, Neil
no flags Details
File: maps (25.25 KB, text/plain)
2013-08-07 18:02 EDT, Neil
no flags Details
File: open_fds (939 bytes, text/plain)
2013-08-07 18:02 EDT, Neil
no flags Details
File: proc_pid_status (894 bytes, text/plain)
2013-08-07 18:02 EDT, Neil
no flags Details
File: var_log_messages (766 bytes, text/plain)
2013-08-07 18:02 EDT, Neil
no flags Details

  None (edit)
Description Neil 2013-08-07 18:01:43 EDT
Version-Release number of selected component:
xorg-x11-server-Xorg-1.14.2-9.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/Xorg :0 -background none -verbose -auth /run/gdm/auth-for-gdm-1MXUqK/database -seat seat0 -nolisten tcp vt1
crash_function: __assert_fail_base
executable:     /usr/bin/Xorg
kernel:         3.11.0-0.rc4.git0.2.fc20.x86_64
runlevel:       unknown
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 __assert_fail_base at assert.c:92
 #3 __assert_fail at assert.c:101
 #4 qxl_surface_copy at qxl_surface.c:557
 #5 uxa_copy_n_to_n at uxa-accel.c:551
 #6 miCopyRegion at micopy.c:121
 #7 miDoCopy at micopy.c:297
 #8 uxa_copy_area at uxa-accel.c:642
 #9 compNewPixmap at compalloc.c:554
 #10 compAllocPixmap at compalloc.c:605
 #11 compCheckRedirect at compwindow.c:165
Comment 1 Neil 2013-08-07 18:01:48 EDT
Created attachment 784140 [details]
File: backtrace
Comment 2 Neil 2013-08-07 18:01:51 EDT
Created attachment 784141 [details]
File: cgroup
Comment 3 Neil 2013-08-07 18:01:58 EDT
Created attachment 784142 [details]
File: core_backtrace
Comment 4 Neil 2013-08-07 18:02:01 EDT
Created attachment 784143 [details]
File: dso_list
Comment 5 Neil 2013-08-07 18:02:04 EDT
Created attachment 784144 [details]
File: environ
Comment 6 Neil 2013-08-07 18:02:08 EDT
Created attachment 784145 [details]
File: limits
Comment 7 Neil 2013-08-07 18:02:11 EDT
Created attachment 784146 [details]
File: maps
Comment 8 Neil 2013-08-07 18:02:14 EDT
Created attachment 784147 [details]
File: open_fds
Comment 9 Neil 2013-08-07 18:02:18 EDT
Created attachment 784148 [details]
File: proc_pid_status
Comment 10 Neil 2013-08-07 18:02:21 EDT
Created attachment 784150 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-09-16 12:27:01 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 12 Alexander Todorov 2013-10-11 07:18:48 EDT
Folks,
I think this is related to:
https://bugzilla.gnome.org/show_bug.cgi?id=709810


at least this is the only time my Xorg crashed and ABRT detected it. I'm not sure why it didn't attach the log files though. Let me know if you need them.
Comment 13 Marc-Andre Lureau 2015-05-12 13:15:30 EDT
it looks like I could reproduce this, by simply init 3 init 5 after gdm shows up..
Comment 14 Fedora End Of Life 2015-11-04 07:01:02 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-12-01 21:55:13 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.